Rapid7 Vulnerability & Exploit Database

Moodle: CVE-2010-2231: MSA-10-0013: Potential Cross Site Request Forgery vulnerability in Quiz reports

Back to Search

Moodle: CVE-2010-2231: MSA-10-0013: Potential Cross Site Request Forgery vulnerability in Quiz reports

Severity
7
CVSS
(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Published
06/28/2010
Created
03/19/2019
Added
12/04/2018
Modified
12/04/2018

Description

Cross-site request forgery (CSRF) vulnerability in report/overview/report.php in the quiz module in Moodle before 1.8.13 and 1.9.x before 1.9.9 allows remote attackers to hijack the authentication of arbitrary users for requests that delete quiz attempts via the attemptid parameter.

Solution(s)

  • moodle-upgrade-latest

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;